INTERFACE
SUBROUTINE LARMES25(KASLB1,KPROMA,KSTART,KPROF,KGLN,&
 & KGLX,KFLDN,KFLDX,KDLUN,KDLUX,KDGUN,KDGUX,&
 & KSTABUF,&
 & KVLAG,KWLAG,&
 & KITER,LDPLANE,LDSETTLS,LDELTRA,&
 & PURL05,PVRL05,PURL5,PVRL5,&
 & KSTTYP,PDSTRET,PC2M1,PC2P1,P4JP,PI,PDEPI,PIS2,&
 & PDTSA,PDTS62,PDTS22,&
 & PLOCEN,PMUCEN,PLSDEPI,PLATI,PIPI0,PIPI1,PIPI2,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PNORDL,PNORDM,&
 & PCOSCO5,PSINCO5,PSINLA5,PCOPHI5,&
 & PR5,PS5,PUF5,PVF5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KITER
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KDLUN
INTEGER(KIND=JPIM),INTENT(IN) :: KDLUX
INTEGER(KIND=JPIM),INTENT(IN) :: KDGUN
INTEGER(KIND=JPIM),INTENT(IN) :: KDGUX
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(KGLN:KGLX)
INTEGER(KIND=JPIM),INTENT(IN) :: KVLAG
INTEGER(KIND=JPIM),INTENT(IN) :: KWLAG
LOGICAL ,INTENT(IN) :: LDPLANE
LOGICAL ,INTENT(IN) :: LDSETTLS
LOGICAL ,INTENT(IN) :: LDELTRA
REAL(KIND=JPRB) ,INTENT(IN) :: PURL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL05(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL5(KPROMA)
INTEGER(KIND=JPIM),INTENT(IN) :: KSTTYP
REAL(KIND=JPRB) ,INTENT(IN) :: PDSTRET
REAL(KIND=JPRB) ,INTENT(IN) :: PC2M1
REAL(KIND=JPRB) ,INTENT(IN) :: PC2P1
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PI
REAL(KIND=JPRB) ,INTENT(IN) :: PDEPI
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PDTSA
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS62
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS22
REAL(KIND=JPRB) ,INTENT(IN) :: PLOCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PMUCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDM(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO5(KPROMA,KITER)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO5(KPROMA,KITER)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA5(KPROMA,KITER)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI5(KPROMA,KITER)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR5(KPROMA,KITER)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS5(KPROMA,KITER)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF5(KPROMA,KITER)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF5(KPROMA,KITER)
END SUBROUTINE LARMES25
END INTERFACE
